Package: org.grails.core.cfg

## [Groovy] Class GroovyConfigPropertySourceLoader

- org.grails.core.cfg.GroovyConfigPropertySourceLoader

- All Implemented Interfaces and Traits:
    org.springframework.boot.env.PropertySourceLoader

      @groovy.transform.CompileStatic
      @groovy.util.logging.Slf4j
      class GroovyConfigPropertySourceLoader
      extends java.lang.Object
      implements org.springframework.boot.env.PropertySourceLoader

  Adds support for defining a 'application.groovy' file in ConfigSlurper format in order to configure Spring Boot within Grails

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String[]` | `fileExtensions` |
    `private java.util.Set<java.lang.String>` | `loadedFiles` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String[]` | `fileExtensions`
    `java.util.Set<java.lang.String>` | `loadedFiles`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyConfigPropertySourceLoader ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.List<org.springframework.core.env.PropertySource<?>>` | `load(java.lang.String name, org.springframework.core.io.Resource resource)`
    `` | `java.util.List<org.springframework.core.env.PropertySource<?>>` | `load(java.lang.String name, org.springframework.core.io.Resource resource, java.util.List<java.lang.String> filteredKeys)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.String[] fileExtensions

    - #### private final java.util.Set<java.lang.String> loadedFiles

  - ### Property Detail

    - #### final java.lang.String[] fileExtensions

    - #### final java.util.Set<java.lang.String> loadedFiles

  - ### Constructor Detail

    - #### GroovyConfigPropertySourceLoader()

  - ### Method Detail

    - #### @java.lang.Override java.util.List<org.springframework.core.env.PropertySource<?>> load(java.lang.String name, org.springframework.core.io.Resource resource)

    - #### java.util.List<org.springframework.core.env.PropertySource<?>> load(java.lang.String name, org.springframework.core.io.Resource resource, java.util.List<java.lang.String> filteredKeys)